Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.wbem.cim
Class CIMInstanceException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--com.sun.wbem.cim.CIMException
                        |
                        +--com.sun.wbem.cim.CIMSemanticException
                              |
                              +--com.sun.wbem.cim.CIMInstanceException

public class CIMInstanceException
extends CIMSemanticException

The CIMInstanceException class is used to represent exceptions that occur for instances of a class.

Since:
  WBEM 1.0
See Also:
  Serialized Form

Fields inherited from class com.sun.wbem.cim.CIMSemanticException
`INVALID_QUALIFIER_NAME, NO_QUALIFIER_VALUE, NO_SUCH_QUALIFIER1, NO_SUCH_QUALIFIER2, QUALIFIER_UNOVERRIDABLE, SCOPE_ERROR, TYPE_ERROR`

Fields inherited from class com.sun.wbem.cim.CIMException
`CIM_ERR_ALREADY_EXISTS, CIM_ERR_CLASS_HAS_CHILDREN, CIM_ERR_CLASS_HAS_INSTANCES, CIM_ERR_FAILED, CIM_ERR_INVALID_CLASS, CIM_ERR_INVALID_NAMESPACE, CIM_ERR_INVALID_PARAMETER, CIM_ERR_INVALID_QUERY, CIM_ERR_LOW_ON_MEMORY, CIM_ERR_NOT_FOUND, CIM_ERR_NOT_SUPPORTED, DEFAULT, PDEFAULT, VER_ERROR`

Constructor Summary
`CIMInstanceException()` Creates a CIMInstanceException with a default message.
`CIMInstanceException(java.lang.String s)` Creates a CIMInstanceException with the specified message.
`CIMInstanceException(java.lang.String s, java.lang.Object param)` Creates a CIMInstanceException with the specified message and one exception parameter.
`CIMInstanceException(java.lang.String s, java.lang.Object[] param)` Creates a CIMInstanceException with the specified message and an array of exception parameters.
`CIMInstanceException(java.lang.String s, java.lang.Object param1, java.lang.Object param2)` Creates a CIMInstanceException with the specified message and two exception parameters.
`CIMInstanceException(java.lang.String s, java.lang.Object param1, java.lang.Object param2, java.lang.Object param3)` Creates a CIMInstanceException with the specified message and three exception parameters.

Methods inherited from class com.sun.wbem.cim.CIMException
`getID, getParams, getXmlCode, getXmlCode, isXmlCode, setParams, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CIMInstanceException

    public CIMInstanceException()

  Creates a CIMInstanceException with a default message.

### CIMInstanceException

    public CIMInstanceException(java.lang.String s)

  Creates a CIMInstanceException with the specified message.
  Parameters:
    `s` - the detail messge.

### CIMInstanceException

    public CIMInstanceException(java.lang.String s,
                                java.lang.Object param)

  Creates a CIMInstanceException with the specified message and one exception parameter.
  Parameters:
    `s` - the detail messge.
    `param` - exception parameter.

### CIMInstanceException

    public CIMInstanceException(java.lang.String s,
                                java.lang.Object param1,
                                java.lang.Object param2)

  Creates a CIMInstanceException with the specified message and two exception parameters.
  Parameters:
    `s` - the detail messge.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.

### CIMInstanceException

    public CIMInstanceException(java.lang.String s,
                                java.lang.Object param1,
                                java.lang.Object param2,
                                java.lang.Object param3)

  Creates a CIMInstanceException with the specified message and three exception parameters.
  Parameters:
    `s` - the detail messge.
    `param1` - first Exception parameter.
    `param2` - second Exception parameter.
    `param3` - third Exception parameter.

### CIMInstanceException

    public CIMInstanceException(java.lang.String s,
                                java.lang.Object[] param)

  Creates a CIMInstanceException with the specified message and an array of exception parameters.
  Parameters:
    `s` - the detail messge.
    `param` - array of exception parameters.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD